JASMINE(1)

NAME
jasmine - run Jasmine test suites

SYNOPSIS
jasmine [--help] [--color] [--no-color] [--config file] [--no-config] [--exclude file] [--verbose] [--tap] [--junit [file]] files ...

DESCRIPTION
Jasmine is a behavior-driven development framework for the GJS Javascript interpreter. The jasmine command is a test runner for Jasmine test suites that has several different output formats.

The files specified on the command line are imported and all Jasmine specs defined therein are executed. You may also specify whole directories in files, in which case the directories are searched recursively and files ending in .js will be imported.

OPTIONS

--color
    Print output in color, if the chosen output format supports it.

--config file
    Use file as the configuration file, instead of jasmine.json.

--exclude file
    Don't execute specs in file (which may also be a wildcard pattern) even if they are in a directory specified on the command line. (Don't forget to escape wildcards so the shell doesn't expand them.)

--help
    Show summary of options.

--junit file
    In addition to the format used to report results to the console (default, --verbose, or --tap,) output test results to a JUnit-style XML file to file, suitable for integration with Jenkins. If file is not given, output to report.xml in the current directory.

--no-color
    Do not print output in color, even if the chosen output format supports it.

--no-config
    Don't use a configuration file, even if one is present.

--tap
    Report results with the TAP (Test Anything Protocol) reporter, suitable for integration with Automake.

--verbose
    Report results with the verbose reporter, similar to Mocha's default reporter.

EXIT STATUS
The jasmine utility exits with 0 on success, or with 1 if any tests failed or an internal error occurred.

ENVIRONMENT
The JASMINE_JUNIT_REPORTS_DIR environment variable controls where JUnit-style XML reports are placed, if a relative path is passed to --junit on the command line.

The JASMINE_UNINSTALLED environment variable can be used for debugging Jasmine. It is not recommended to set this variable during normal use.

FILES
By default, Jasmine reads from a configuration file called jasmine.json in the current directory, if such a file exists. This can be influenced with the --config and --no-config options.

BUGS
Report bugs at https://github.com/ptomato/jasmine-gjs/issues on GitHub.